## magit 3.3.0+git20240412.1.da14749d

=== Makefile ===
-include config.mk
include default.mk

## ###################################################################

.PHONY: lisp docs \
	install install-lisp install-docs install-info \
	test test-interactive magit \
	clean clean-lisp clean-docs clean-archives \
	stats bump-versions bump-snapshots \
	dist versionlib magit-$(VERSION).tar.gz

all: lisp docs

help:
	$(info )
	$(info See default.mk for variables you might want to set.)
	$(info )
	$(info Build)
	$(info =====)
	$(info )
	$(info make [all]            - compile elisp and documentation)
	$(info make lisp             - compile elisp)
	$(info make redo             - re-compile elisp)
	$(info make docs             - generate info manuals)
	$(info make info             - generate info manuals)
	$(info make html             - generate html manual files)
	$(info make html-dir         - generate html manual directories)
	$(info make pdf              - generate pdf manuals)
	$(info make epub             - generate epub manuals)
	$(info )
	$(info Install)
	$(info =======)
	$(info )
	$(info make install          - install elisp and documentation)
	$(info make install-lisp     - install elisp)
	$(info make install-docs     - install all documentation)
	$(info make install-info     - install info manuals only)
	$(info )
	$(info Clean)
	$(info ====)
	$(info )
	$(info make clean            - clean elisp, documentation and tarball)
	$(info make clean-lisp       - clean elisp)
	$(info make clean-docs       - clean docs)
	$(info make clean-archives   - clean release tarball)
	$(info make clean-all        - clean everything except tracked texi)
	$(info make clean-stats      - clean stats)
	$(info )
	$(info Test)
	$(info ====)
	$(info )
	$(info make test             - run tests)
	$(info make test-interactive - run tests interactively)
	$(info make emacs-Q          - run emacs -Q plus Magit)
	$(info make check-declare    - check function declarations)
	$(info )
	$(info Release Management)
	$(info ==================)
	$(info )
	$(info make texi             - regenerate texi from org)
	$(info make authors          - regenerate AUTHORS.md)
	$(info make publish          - publish snapshot manuals)
	$(info make release          - publish release manuals)
	$(info make dist             - create tarballs)
	$(info make bump-versions    - bump versions for release)
	$(info make bump-snapshots   - bump versions after release)
	$(info make stats            - regenerate statistics)
	$(info make stats-upload     - publish statistics)
	@printf "\n"

## Build #############################################################

redo: clean-lisp lisp

lisp:
	@$(MAKE) -C lisp lisp
	@$(MAKE) -C test lisp

docs:
	@$(MAKE) -C docs all

info:
	@$(MAKE) -C docs info

html:
	@$(MAKE) -C docs html

html-dir:
	@$(MAKE) -C docs html-dir

pdf:
	@$(MAKE) -C docs pdf

epub:
	@$(MAKE) -C docs epub

## Install ###########################################################

install: install-lisp install-docs

install-lisp: lisp
	@$(MAKE) -C lisp install

install-docs: docs
	@$(MAKE) -C docs install-docs

install-info: info
	@$(MAKE) -C docs install-info

## Test ##############################################################

test:
	@$(MAKE) -C test test

test-interactive:
	@$(MAKE) -C test test-interactive

emacs-Q: clean-lisp
	@$(EMACS) -Q $(LOAD_PATH) --debug-init --eval "(progn\
	(setq debug-on-error t)\
	(require 'magit)\
	(global-set-key \"\\C-xg\" 'magit-status))"

check-declare:
	@$(MAKE) -C lisp check-declare

## Clean #############################################################

clean: clean-lisp clean-docs clean-archives
	@printf "Cleaning...\n"
	@$(RM) *.elc $(ELGS) # temporary cleanup kludge
	@$(RM) docs/*.texi~ docs/*.info-1 docs/*.info-2
	@$(RM) magit-pkg.el test/magit-tests.elc

clean-lisp:
	@$(MAKE) -C lisp clean

clean-docs:
	@$(MAKE) -C docs clean

clean-archives:
	@$(RM) *.tar.gz *.tar lisp/magit-version.el
	@$(RMDIR) magit-$(VERSION)

clean-all: clean clean-stats

clean-stats:
	@$(MAKE) -C docs clean-stats

## Release management ################################################

texi:
	@$(MAKE) -C docs texi

authors:
	@$(MAKE) -C docs authors

publish:
	@$(MAKE) -C docs publish

release:
	@$(MAKE) -C docs release

dist: magit-$(VERSION).tar.gz

versionlib:
	@$(MAKE) -C lisp versionlib

DIST_ROOT_FILES = LICENSE default.mk Makefile README.md
DIST_LISP_FILES = $(addprefix lisp/,$(ELS) magit-version.el Makefile)
DIST_DOCS_FILES = $(addprefix docs/,$(TEXIPAGES) AUTHORS.md Makefile)
ifneq ("$(wildcard docs/RelNotes/$(VERSION).txt)","")
  DIST_DOCS_FILES += docs/RelNotes/$(VERSION).txt
endif

magit-$(VERSION).tar.gz: lisp versionlib info
	@printf "Packing $@\n"
	@$(MKDIR) magit-$(VERSION)
	@$(CP) $(DIST_ROOT_FILES) magit-$(VERSION)
	@$(MKDIR) magit-$(VERSION)/lisp
	@$(CP) $(DIST_LISP_FILES) magit-$(VERSION)/lisp
	@$(MKDIR) magit-$(VERSION)/docs
	@$(CP) $(DIST_DOCS_FILES) magit-$(VERSION)/docs
	@$(TAR) cz --mtime=./magit-$(VERSION) -f magit-$(VERSION).tar.gz magit-$(VERSION)
	@$(RMDIR) magit-$(VERSION)

define set_package_requires_nongnu

(defun --update-package (file version deps)
  (with-temp-buffer
    (insert-file-contents file)
    (re-search-forward "^;; Package-Version: ")
    (delete-region (point) (line-end-position))
    (insert (concat version "$(DEV_SUFFIX)"))
    (re-search-forward "^;; Package-Requires: (\n")
    (let ((beg (point)))
      (forward-line)
      (while (looking-at "^;;     ")
        (forward-line))
      (delete-region beg (1- (point)))
      (goto-char beg)
      (while deps
        (insert (format ";;     %S%s" (pop deps) (if deps "\n" ")")))))
    (write-region nil nil file nil 0)))

(--update-package "lisp/git-commit.el" "$(GIT_COMMIT_VERSION)"
`((emacs ,emacs-version) ;`
  (compat ,compat-version)
  (seq ,seq-version)
  (transient ,transient-version)
  (with-editor ,with-editor-version)))

(--update-package "lisp/magit.el" "$(MAGIT_SECTION_VERSION)"
`((emacs ,emacs-version) ;`
  (compat ,compat-version)
  (dash ,dash-version)
  (git-commit ,git-commit-version)
  (magit-section ,magit-section-version)
  (seq ,seq-version)
  (transient ,transient-version)
  (with-editor ,with-editor-version)))

(--update-package "lisp/magit-libgit.el" "$(MAGIT_LIBGIT_VERSION)"
`((emacs "$(LIBGIT_EMACS_VERSION)") ;`
  (compat ,compat-version)
  (libgit ,libgit-version)
  (seq ,seq-version)
  (magit ,magit-version)))

(--update-package "lisp/magit-section.el" "$(MAGIT_SECTION_VERSION)"
`((emacs ,emacs-version) ;`
  (compat ,compat-version)
  (dash ,dash-version)
  (seq ,seq-version)))
endef
export set_package_requires_nongnu

define set_package_requires_melpa

(with-temp-file "lisp/git-commit-pkg.el"
  (insert (format
"(define-package \"git-commit\" \"$(GIT_COMMIT_VERSION)$(DEV_SUFFIX)\"
  \"Edit Git commit messages.\"
  '((emacs       %S)
    (compat      %S)
    (transient   %S)
    (with-editor %S))
  :homepage \"https://magit.vc\"
  :keywords '(\"git\" \"tools\" \"vc\"))
"   emacs-version
    compat-version
    transient-version
    with-editor-version)))

(with-temp-file "lisp/magit-pkg.el"
  (insert (format
"(define-package \"magit\" \"$(MAGIT_VERSION)$(DEV_SUFFIX)\"
  \"A Git porcelain inside Emacs.\"
  '((emacs         %S)
    (compat        %S)
    (dash          %S)
    (git-commit    %S)
    (magit-section %S)
    (seq           %S)
    (transient     %S)
    (with-editor   %S))
  :homepage \"https://magit.vc\"
  :keywords '(\"git\" \"tools\" \"vc\"))
"   emacs-version
    compat-version
    dash-version
    git-commit-version
    magit-section-version
    seq-version
    transient-version
    with-editor-version)))

(with-temp-file "lisp/magit-libgit-pkg.el"
  (insert (format
"(define-package \"magit-libgit\" \"$(MAGIT_LIBGIT_VERSION)$(DEV_SUFFIX)\"
  \"(POC) Teach Magit to use Libgit2.\"
  '((emacs  %S)
    (compat %S)
    (libgit %S)
    (magit  %S))
  :homepage \"https://magit.vc\"
  :keywords '(\"git\" \"tools\" \"vc\"))
"   emacs-version
    compat-version
    libgit-version
    magit-version)))

(with-temp-file "lisp/magit-section-pkg.el"
  (insert (format
"(define-package \"magit-section\" \"$(MAGIT_SECTION_VERSION)$(DEV_SUFFIX)\"
  \"Sections for read-only buffers.\"
  '((emacs  %S)
    (compat %S)
    (dash   %S))
  :homepage \"https://magit.vc\"
  :keywords '(\"tools\"))
"   emacs-version
    compat-version
    dash-version)))
endef
export set_package_requires_melpa

define set_package_versions
(emacs-version "$(EMACS_VERSION)")
(compat-version "$(COMPAT_VERSION)")
(dash-version "$(DASH_VERSION)")
(git-commit-version "$(GIT_COMMIT_VERSION)")
(libgit-version "$(LIBGIT_VERSION)")
(magit-version "$(MAGIT_VERSION)")
(magit-libgit-version "$(MAGIT_LIBGIT_VERSION)")
(magit-section-version "$(MAGIT_SECTION_VERSION)")
(seq-version "$(SEQ_VERSION)")
(transient-version "$(TRANSIENT_VERSION)")
(with-editor-version "$(WITH_EDITOR_VERSION)")
endef
export set_package_versions

define set_package_snapshots
(emacs-version "$(EMACS_VERSION)")
(compat-version "$(COMPAT_SNAPSHOT)")
(dash-version "$(DASH_MELPA_SNAPSHOT)")
(git-commit-version "$(GIT_COMMIT_MELPA_SNAPSHOT)")
(libgit-version "$(LIBGIT_MELPA_SNAPSHOT)")
(magit-version "$(MAGIT_MELPA_SNAPSHOT)")
(magit-libgit-version "$(MAGIT_LIBGIT_MELPA_SNAPSHOT)")
(magit-section-version "$(MAGIT_SECTION_MELPA_SNAPSHOT)")
(seq-version "$(SEQ_MELPA_SNAPSHOT)")
(transient-version "$(TRANSIENT_MELPA_SNAPSHOT)")
(with-editor-version "$(WITH_EDITOR_MELPA_SNAPSHOT)")
endef
export set_package_snapshots

bump-versions: _bump-versions texi
_bump-versions:
	@$(BATCH) --eval "(let (\
        $$set_package_versions)\
        $$set_package_requires_nongnu\
        $$set_package_requires_melpa)"

bump-snapshots:
	@$(eval DEV_SUFFIX := $(DEV_VERSION_SUFFIX))
	@$(BATCH) --eval "(let (\
        $$set_package_versions)\
        $$set_package_requires_nongnu)"
	@$(BATCH) --eval "(let (\
        $$set_package_snapshots)\
        $$set_package_requires_melpa)"
	@git commit -a --gpg-sign -m "Reset Package-Requires for Melpa"
	@git show --pretty= -p HEAD

## Statistics ########################################################

stats:
	@$(MAKE) -C docs stats

stats-upload:
	@$(MAKE) -C docs stats-upload

=== docs/Makefile ===
-include ../config.mk
include ../default.mk

## ###################################################################

.PHONY: texi install clean AUTHORS.md stats

all: info

## Build #############################################################

info: $(INFOPAGES) dir
html: $(HTMLFILES)
pdf:  $(PDFFILES)
epub: $(EPUBFILES)

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: magit.info magit-section.info
	@printf "Generating dir\n"
	@echo $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
<link rel="icon" href="/assets/magit_alt1.ico">\
\n<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
\n<script src="/assets/js/simple-css-switch.js"></script>'
HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@

html-dir: $(TEXIFILES)
	@printf "Generating magit/*.html\n"
	@$(MAKEINFO) --html -o $(PKG)/ $(MANUAL_HTML_ARGS) magit.texi
	@for f in $$(find magit -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done
	@printf "Generating magit-section/*.html\n"
	@$(MAKEINFO) --html -o $(PKG)-section/ $(MANUAL_HTML_ARGS) magit-section.texi
	@for f in $$(find magit-section -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

%.epub: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --docbook $< -o epub.xml
	@xsltproc $(DOCBOOK_XSL) epub.xml 2> /dev/null
	@echo "application/epub+zip" > mimetype
	@zip -X --quiet --recurse-paths -0 $@ mimetype
	@zip -X --quiet --recurse-paths -9 --no-dir-entries $@ META-INF OEBPS
	@$(RMDIR) $(EPUBTRASH)

## Install ###########################################################

install: install-info install-docs

install-docs: install-info
	@$(MKDIR) $(DESTDIR)$(docdir)
	$(CP) AUTHORS.md $(DESTDIR)$(docdir)

install-info: info
	@$(MKDIR) $(DESTDIR)$(infodir)
	$(CP) $(INFOPAGES) $(DESTDIR)$(infodir)

## Clean #############################################################

clean:
	@printf " Cleaning docs/*...\n"
	@$(RMDIR) dir $(INFOPAGES) $(HTMLFILES) $(HTMLDIRS) $(PDFFILES)
	@$(RMDIR) $(EPUBFILES) $(EPUBTRASH)
	@$(RMDIR) $(GENSTATS_DIR)

## Release management ################################################

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ol-man
ORG_EVAL += --eval "(progn $$ORG_MAN_EXPORT)"
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

texi:
	@printf "Generating $(PKG).texi\n"
	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
	@$(EMACS) $(ORG_ARGS) magit-section.org $(ORG_EVAL)

authors: AUTHORS.md

AUTHORS.md:
	@printf "Generating AUTHORS.md..."
	@test -e $(TOP).git \
	&& (printf "$$AUTHORS_HEADER\n" > $@ \
	&& git log --pretty=format:'- %aN' | sort -u | \
	grep -v dependabot >> $@ \
	&& printf "done\n" ; ) \
	|| printf "FAILED (non-fatal)\n"
	@git commit --gpg-sign -m "AUTHORS.md: Update list of contributors" \
	-o -- $@ ../.mailmap || true
	@git show --pretty= -p HEAD

PUBLISH_PATH   ?= /manual/
RELEASE_PATH   ?= /manual/$(VERSION)/
S3_BUCKET      ?= s3://$(DOMAIN)
PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)
CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*

comma := ,
empty :=
space := $(empty) $(empty)

publish: $(PUBLISH_TARGETS)
	@printf "Uploading manuals... $(PUBLISH_TARGETS)\n"
	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
	@printf "upload: ./$(PKG)/* to $(PUBLISH_TARGET)*\n"
	@aws s3 sync --delete $(PKG) $(PUBLISH_TARGET)$(PKG)/ > /dev/null
	@aws s3 cp magit-section.html $(PUBLISH_TARGET)
	@aws s3 cp magit-section.pdf  $(PUBLISH_TARGET)
	@printf "upload: ./magit-section/* to $(PUBLISH_TARGET)*\n"
	@aws s3 sync --delete magit-section $(PUBLISH_TARGET)magit-section/ > /dev/null
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null

release: $(PUBLISH_TARGETS)
	@printf "Uploading release manuals...\n"
	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
	@printf "upload: ./$(PKG)/* to $(RELEASE_TARGET)*\n"
	@aws s3 sync --delete $(PKG) $(RELEASE_TARGET)$(PKG)/ > /dev/null
	@aws s3 cp magit-section.html $(RELEASE_TARGET)
	@aws s3 cp magit-section.pdf  $(RELEASE_TARGET)
	@printf "upload: ./magit-section/* to $(RELEASE_TARGET)*\n"
	@aws s3 sync --delete magit-section $(RELEASE_TARGET)magit-section/ > /dev/null
	@aws s3 cp $(PUBLISH_TARGET)dir.html $(RELEASE_TARGET)dir.html
	@aws s3 cp $(PUBLISH_TARGET)dir/index.html $(RELEASE_TARGET)dir/index.html
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

# Statistics #########################################################

stats:
	@printf "Generating statistics\n"
	@$(GITSTATS) $(GITSTATS_ARGS) $(TOP) $(GITSTATS_DIR)

stats-upload:
	@printf "Uploading statistics...\n"
	@aws s3 sync $(GITSTATS_DIR) $(S3_BUCKET)/stats/$(PKG)
	@printf "Uploaded to $(S3_BUCKET)/stats/$(PKG)\n"
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation \
	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null

# Lisp ###############################################################

# When making changes here, then also adjust the copy in magit-base.el.
define ORG_MAN_EXPORT
(advice-add 'org-man-export :around 'org-man-export--magit-gitman)
(defun org-man-export--magit-gitman (fn link description format)
  (if (and (eq format 'texinfo) ;'
           (string-match-p "\\`git" link))
      (replace-regexp-in-string "%s" link "
@ifinfo
@ref{%s,,,gitman,}.
@end ifinfo
@ifhtml
@html
the <a href=\"http://git-scm.com/docs/%s\">%s(1)</a> manpage.
@end html
@end ifhtml
@iftex
the %s(1) manpage.
@end iftex
")
    (funcall fn link description format)))
endef
export ORG_MAN_EXPORT

# Templates ##########################################################

define AUTHORS_HEADER
The following people have contributed to Magit.
For statistics see https://magit.vc/stats/magit/authors.html.

Authors
-------

- Marius Vollmer
- Jonas Bernoulli

Active Maintainers
------------------

- Jonas Bernoulli
- Kyle Meyer

Former Maintainers
------------------

- Nicolas Dudebout
- Noam Postavsky
- Peter J. Weisberg
- Phil Jackson
- Rémi Vanicat
- Yann Hodique

All Contributors
----------------

endef
export AUTHORS_HEADER

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

## ###################################################################

.PHONY: magit-version.el check-declare install

all: lisp

## Build order #######################################################

git-commit.elc:
magit-section.elc:
magit-base.elc:            magit-section.elc
ifeq "$(BUILD_MAGIT_LIBGIT)" "true"
magit-libgit.elc:
magit-git.elc:             magit-base.elc magit-libgit.elc
else
magit-git.elc:             magit-base.elc
endif
magit-mode.elc:            magit-base.elc magit-git.elc
magit-margin.elc:          magit-base.elc magit-mode.elc
magit-process.elc:         magit-base.elc magit-git.elc magit-mode.elc
magit-transient.elc:       magit-git.elc magit-mode.elc magit-process.elc
magit-autorevert.elc:      magit-git.elc magit-process.elc
magit-core.elc:            magit-base.elc magit-git.elc magit-mode.elc \
                           magit-margin.elc magit-process.elc \
                           magit-transient.elc magit-autorevert.elc
magit-diff.elc:            git-commit.elc magit-core.elc
magit-log.elc:             magit-core.elc magit-diff.elc
magit-wip.elc:             magit-core.elc magit-log.elc
magit-reflog.elc:          magit-core.elc magit-log.elc
magit-apply.elc:           magit-core.elc magit-diff.elc magit-wip.elc
magit-repos.elc:           magit-core.elc
magit.elc:                 git-commit.elc magit-core.elc magit-diff.elc \
                           magit-log.elc magit-apply.elc magit-repos.elc
magit-status.elc:          magit.elc
magit-refs.elc:            magit.elc
magit-files.elc:           magit.elc
magit-reset.elc:           magit.elc
magit-branch.elc:          magit.elc magit-reset.elc
magit-merge.elc:           magit.elc magit-diff.elc
magit-tag.elc:             magit.elc
magit-worktree.elc:        magit.elc
magit-notes.elc:           magit.elc
magit-sequence.elc:        magit.elc
magit-commit.elc:          magit.elc magit-sequence.elc
magit-remote.elc:          magit.elc
magit-clone.elc:           magit.elc
magit-fetch.elc:           magit.elc
magit-pull.elc:            magit.elc magit-remote.elc
magit-push.elc:            magit.elc
magit-bisect.elc:          magit.elc
magit-stash.elc:           magit.elc magit-sequence.elc magit-reflog.elc
magit-blame.elc:           magit.elc
magit-submodule.elc:       magit.elc
magit-patch.elc:           magit.elc
magit-subtree.elc:         magit.elc
magit-ediff.elc:           magit.elc
magit-gitignore.elc:       magit.elc
magit-sparse-checkout.elc: magit.elc
magit-bundle.elc:          magit.elc
magit-extras.elc:          magit.elc magit-merge.elc
git-rebase.elc:            magit.elc
magit-bookmark.elc:        magit.elc

## Build #############################################################

lisp:       $(ELCS) loaddefs $(LISP_EXTRA_TARGETS)
loaddefs:   $(PKG)-autoloads.el
versionlib: $(PKG)-version.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(BATCH) --eval "(progn\
	(when (file-exists-p \"$@\")\
	  (delete-file \"$@\"))\
	(setq with-editor-emacsclient-executable nil)\
	$$suppress_warnings)" \
	-f batch-byte-compile $<

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

$(PKG)-version.el:
	@printf " Creating $@\n"
	@printf "%s" "$$VERSIONLIB_TMPL" > $@

check-declare:
	@printf "Checking function declarations\n"
	@$(BATCH) -L $(TOP)../borg -L $(TOP)../forge/lisp \
	--eval "(check-declare-directory default-directory)"

## Install ###########################################################

install: lisp versionlib
	@$(MKDIR) $(DESTDIR)$(lispdir)
	$(CP) $(ELS) magit-autoloads.el magit-version.el $(ELCS) $(DESTDIR)$(lispdir)

## Clean #############################################################

clean:
	@printf " Cleaning lisp/*...\n"
	@$(RM) *.elc $(ELGS)

## Templates #########################################################

define VERSIONLIB_TMPL
;;; $(PKG)-version.el --- the Magit version you are using

(setq $(PKG)-version "$(VERSION)")

(provide '$(PKG)-version)

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; coding: utf-8
;; End:
;;; $(PKG)-version.el ends here

endef
export VERSIONLIB_TMPL
#'

define suppress_warnings
(remhash (indirect-function 'derived-mode-p) advertised-signature-table)
(fset 'original-message (symbol-function 'message))
(fset 'message
      (lambda (f &rest a)
        (unless (or (equal f "Wrote %s")
                    (equal f "pcase-memoize: equal first branch, yet different")
                    (and (equal f "Warning: Unknown defun property `%S' in %S")
                         (memq (car a) '(pure side-effect-free interactive-only))))
          (apply 'original-message f a))))
endef
export suppress_warnings

=== debian/changelog ===
magit (3.3.0+git20240412.1.da14749d-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:37:49 +0900

magit (3.3.0+git20240412.1.da14749d-2) unstable; urgency=medium

  * Team upload.
  * d/patches: define committer info for git-commit in tests
    (Closes: #1073473)
  * d/rules: set `LC_ALL=C.UTF-8` for `magit-status:file-sections` test

 -- Jeremy Sowden <azazel@debian.org>  Tue, 25 Jun 2024 12:42:53 +0100

magit (3.3.0+git20240412.1.da14749d-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1068875).
  * Refresh patches.
  * d/control: Add explicit versioned dependency on elpa-transient for
    elpa-magit and elpa-git-commit. This is temporary, pending changes to
    dh-elpa. (Closes: #1068903).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 14 Apr 2024 00:52:46 +0200

magit (3.3.0+git20231219.1.c7ab6931-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/patches:
    - Drop 0004-tramp-test-overide.patch (not applicable anymore)
    - Drop repair-magit-get-and-submodule-tests.patch (applied upstream)
    - Drop fix-magit-test-unable-to-find-compat-through-with-editor.patch
      (applied upstream)
    - Refreshed other patches
  * d/control:
    - Add minimal version to elpa-transient Build-Depends.
    - Keep only necessary Build-Depends.
  * Remove obsolete d/*.prerm files.
  * d/copyright: Update copyright years.
  * d/rules:
    - Remove unneeded dh_clean override.
    - Remove EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION environment
      variable (tests run fine without it).
    - Remove GIT_*, LC_ALL environment variables (not needed anymore).
    - Remove DEB_VERSION_UPSTREAM environment variable (not needed
      anymore).
  * Update d/*.elpa files in line with upstream changes.
  * Add temporary patch to reformat multiline Package-Requires to
    monoline.
  * Improve documentation packaging (more formats, added doc-base).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Tue, 26 Dec 2023 18:56:47 +0100

=== debian/control ===
Source: magit
Section: vcs
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders:
 Timo Juhani Lindfors <timo.lindfors@iki.fi>,
 Rémi Vanicat <vanicat@debian.org>,
 Barak A. Pearlmutter <bap@debian.org>,
 Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa (>= 1.7),
 elpa-compat,
 elpa-dash,
 elpa-with-editor,
 elpa-transient (>= 0.5.0),
 git,
 texinfo,
 texlive-base,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git

Package: elpa-magit
Architecture: all
Provides: magit
Replaces: magit (<< 2.2.2-3)
Breaks: magit (<< 2.2.2-3)
Depends: ${misc:Depends}, git, ${elpa:Depends}, elpa-transient (>= 0.5.3),
Enhances: emacs, git
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

Package: elpa-git-commit
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}, elpa-transient (>= 0.5.0),
Enhances: emacs, git
Description: Major mode for editing git commit message
 A mode for editing COMMIT_MSG file from git in Emacs.

Package: elpa-magit-section
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs
Description: Collapsible sections like in Magit
 This package implements the main user interface of Magit — the
 collapsible sections that make up its buffers.  This package used
 to be distributed as part of Magit but now it can also be used by
 other packages that have nothing to do with Magit or Git.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make info html pdf
	@echo do not run make

override_dh_auto_install:
	@echo do not run make install

override_dh_elpa_test:
	make test LC_ALL=C.UTF-8

## magit 4.1.2

=== debian/changelog ===
magit (4.1.2-1) unstable; urgency=medium

  * New upstream release
  * Forward port quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 02 Nov 2024 23:00:17 +0000

magit (4.1.1-1) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * New upstream release
  * Forward port quilt patches
  * Bump standards version

  [ Aymeric Agon-Rambosson ]
  * Drop temporary patch to reformat Package-Requires multiline header. We
    now need dh-elpa with minimal 2.1.2 version.
  * Remove explicit versioned dependencies on elpa-transient for binary
    packages (dh-elpa correctly adds them).
  * Update explicit versioned build dependencies (needed for tests).
  * Reinstate DEB_VERSION_UPSTREAM environment variable (git-commit.el
    specifies no Version header).

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 01 Nov 2024 15:01:12 +0000

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,17 @@
  Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
 Build-Depends:
  debhelper-compat (= 13),
- dh-elpa (>= 1.7),
- elpa-compat,
- elpa-dash,
- elpa-with-editor,
- elpa-transient (>= 0.5.0),
+ dh-elpa (>= 2.1.2),
+ elpa-compat (>= 30.0.0.0),
+ elpa-dash (>= 2.19.1),
+ elpa-seq (>= 2.24),
+ elpa-with-editor (>= 3.4.2),
+ elpa-transient (>= 0.7.5),
  git,
  texinfo,
  texlive-base,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://magit.vc/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git
@@ -28,7 +29,7 @@
 Provides: magit
 Replaces: magit (<< 2.2.2-3)
 Breaks: magit (<< 2.2.2-3)
-Depends: ${misc:Depends}, git, ${elpa:Depends}, elpa-transient (>= 0.5.3),
+Depends: ${misc:Depends}, git, ${elpa:Depends},
 Enhances: emacs, git
 Description: Emacs interface for Git
  With Magit, you can inspect and modify your Git repositories with
@@ -39,7 +40,7 @@
 
 Package: elpa-git-commit
 Architecture: all
-Depends: ${misc:Depends}, ${elpa:Depends}, elpa-transient (>= 0.5.0),
+Depends: ${misc:Depends}, ${elpa:Depends},
 Enhances: emacs, git
 Description: Major mode for editing git commit message
  A mode for editing COMMIT_MSG file from git in Emacs.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@ --with elpa

override_dh_auto_build:
	$(MAKE) info html pdf
	@echo do not run make

override_dh_auto_install:
	@echo do not run make install

override_dh_elpa_test:
	$(MAKE) test LC_ALL=C.UTF-8

## magit 4.2.0

=== debian/changelog ===
magit (4.2.0-1) unstable; urgency=medium

  * New upstream version
  * Update Build-Depends package versions in d/control
  * Refresh patches for the new version

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 03 Jan 2025 00:27:05 -0800

magit (4.1.3-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * New upstream release
  * Add d/gbp.conf matching the current practice
  * Refresh patches for the new version

  [ Barak A. Pearlmutter ]
  * Avoid race condition in building documentation from debian/rules

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 10 Dec 2024 15:38:43 -0800

magit (4.1.2-2) unstable; urgency=medium

  [ Xiyue Deng ]
  * Migrate elpa-git-commit into elpa-magit (Closes: #1086758)
    - git-commit has become part of magit since 4.1.0
    - Move install files from elpa-git-commit to elpa-magit
    - d/control: make elpa-git-commit a transitional package
  * Add myself to uploaders
  * d/control: enable "Testsuite: autopkgtest-pkg-elpa"
  * d/watch: modernize using substitute strings to be more robust

  [ Aymeric Agon-Rambosson ]
  * d/rules: Remove DEB_VERSION_UPSTREAM environment variable.
  * d/control:
    - Update Build-Depends versions.
    - elpa-magit: add Provides: elpa-git-commit.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 05 Nov 2024 09:44:45 -0800

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Timo Juhani Lindfors <timo.lindfors@iki.fi>,
  Rémi Vanicat <vanicat@debian.org>,
  Barak A. Pearlmutter <bap@debian.org>,
- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
+ Aymeric Agon-Rambosson <aymeric.agon@yandex.com>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa (>= 2.1.2),
- elpa-compat (>= 30.0.0.0),
+ elpa-compat (>= 30.0.1.0),
  elpa-dash (>= 2.19.1),
  elpa-seq (>= 2.24),
- elpa-with-editor (>= 3.4.2),
- elpa-transient (>= 0.7.5),
+ elpa-with-editor (>= 3.4.3),
+ elpa-transient (>= 0.8.2),
  git,
  texinfo,
  texlive-base,
@@ -23,12 +24,19 @@
 Homepage: https://magit.vc/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-magit
 Architecture: all
-Provides: magit
-Replaces: magit (<< 2.2.2-3)
-Breaks: magit (<< 2.2.2-3)
+Provides:
+ magit,
+ elpa-git-commit
+Replaces:
+ magit (<< 2.2.2-3),
+ elpa-git-commit (<< 4.1.2-2~)
+Breaks:
+ magit (<< 2.2.2-3),
+ elpa-git-commit (<< 4.1.2-2~),
 Depends: ${misc:Depends}, git, ${elpa:Depends},
 Enhances: emacs, git
 Description: Emacs interface for Git
@@ -40,10 +48,15 @@
 
 Package: elpa-git-commit
 Architecture: all
-Depends: ${misc:Depends}, ${elpa:Depends},
+Section: oldlibs
+Depends:
+ ${misc:Depends},
+ ${elpa:Depends},
+ elpa-magit (>= 4.1.2-2~)
 Enhances: emacs, git
-Description: Major mode for editing git commit message
- A mode for editing COMMIT_MSG file from git in Emacs.
+Description: Transitional package for git-commit
+ A mode for editing COMMIT_MSG file from git in Emacs.  This has
+ become part of elpa-magit since version 4.1.0.
 
 Package: elpa-magit-section
 Architecture: all

## magit 4.3.0

=== debian/changelog ===
magit (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches for the new version
  * Update Build-Depends in d/control
    - Drop dependency on elpa-dash.
    - Add new dependency of elpa-llama.
    - Update version requirements of elpa-compat and elpa-transient.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 13 Feb 2025 00:01:06 -0800

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa (>= 2.1.2),
- elpa-compat (>= 30.0.1.0),
- elpa-dash (>= 2.19.1),
+ elpa-compat (>= 30.0.2.0),
+ elpa-llama (>= 0.6.0),
  elpa-seq (>= 2.24),
  elpa-with-editor (>= 3.4.3),
- elpa-transient (>= 0.8.2),
+ elpa-transient (>= 0.8.4),
  git,
  texinfo,
  texlive-base,

## magit 4.3.1

=== docs/Makefile ===
--- 
+++ 
@@ -1,18 +1,36 @@
 -include ../config.mk
 include ../default.mk
 
-## ###################################################################
-
-.PHONY: texi install clean AUTHORS.md stats
-
-all: info
+.PHONY: install clean AUTHORS.md stats
 
 ## Build #############################################################
 
-info: $(INFOPAGES) dir
-html: $(HTMLFILES)
-pdf:  $(PDFFILES)
-epub: $(EPUBFILES)
+docs: texi info html html-dir pdf
+
+texi:     $(TEXIPAGES)
+info:     $(INFOPAGES) dir
+html:     $(HTMLFILES)
+html-dir: $(HTMLTOPS)
+pdf:      $(PDFFILES)
+epub:     $(EPUBFILES)
+
+ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ol-man
+ORG_EVAL += --eval "(progn $$ORG_MAN_EXPORT)"
+ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
+ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
+ORG_EVAL += --funcall org-texinfo-export-to-texinfo
+
+redo-docs:
+	@touch $(ORGPAGES)
+	@make docs
+
+.revdesc: ;
+_    := $(shell test "$(REVDESC)" = "$$(cat .revdesc 2> /dev/null)" ||\
+        echo "$(REVDESC)" > .revdesc)
+
+%.texi: %.org .orgconfig .revdesc
+	@printf "Generating $@\n"
+	@$(EMACS) $(ORG_ARGS) $< $(ORG_EVAL)
 
 %.info: %.texi
 	@printf "Generating $@\n"
@@ -37,7 +55,8 @@
 	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
 	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@
 
-html-dir: $(TEXIFILES)
+%/index.html: %.texi
+	@$(RMDIR) $(HTMLDIRS)
 	@printf "Generating magit/*.html\n"
 	@$(MAKEINFO) --html -o $(PKG)/ $(MANUAL_HTML_ARGS) magit.texi
 	@for f in $$(find magit -name '*.html') ; do \
@@ -83,17 +102,6 @@
 	@$(RMDIR) $(GENSTATS_DIR)
 
 ## Release management ################################################
-
-ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ol-man
-ORG_EVAL += --eval "(progn $$ORG_MAN_EXPORT)"
-ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
-ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
-ORG_EVAL += --funcall org-texinfo-export-to-texinfo
-
-texi:
-	@printf "Generating $(PKG).texi\n"
-	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
-	@$(EMACS) $(ORG_ARGS) magit-section.org $(ORG_EVAL)
 
 authors: AUTHORS.md
 
@@ -120,8 +128,8 @@
 empty :=
 space := $(empty) $(empty)
 
-publish: $(PUBLISH_TARGETS)
-	@printf "Uploading manuals... $(PUBLISH_TARGETS)\n"
+publish: redo-docs
+	@printf "Uploading snapshot manuals...\n"
 	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
 	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
 	@printf "upload: ./$(PKG)/* to $(PUBLISH_TARGET)*\n"
@@ -134,7 +142,7 @@
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null
 
-release: $(PUBLISH_TARGETS)
+release: redo-docs
 	@printf "Uploading release manuals...\n"
 	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
 	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
@@ -150,7 +158,7 @@
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null
 
-# Statistics #########################################################
+## Statistics ########################################################
 
 stats:
 	@printf "Generating statistics\n"
@@ -164,12 +172,11 @@
 	@aws cloudfront create-invalidation \
 	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null
 
-# Lisp ###############################################################
+## Lisp ##############################################################
 
 # When making changes here, then also adjust the copy in magit-base.el.
 define ORG_MAN_EXPORT
-(advice-add 'org-man-export :around 'org-man-export--magit-gitman)
-(defun org-man-export--magit-gitman (fn link description format)
+(define-advice org-man-export (:around (fn link description format) gitman)
   (if (and (eq format 'texinfo) ;'
            (string-match-p "\\`git" link))
       (replace-regexp-in-string "%s" link "
@@ -189,7 +196,7 @@
 endef
 export ORG_MAN_EXPORT
 
-# Templates ##########################################################
+## Templates #########################################################
 
 define AUTHORS_HEADER
 The following people have contributed to Magit.

=== lisp/Makefile ===
--- 
+++ 
@@ -9,18 +9,13 @@
 
 ## Build order #######################################################
 
-git-commit.elc:
 magit-section.elc:
 magit-base.elc:            magit-section.elc
-ifeq "$(BUILD_MAGIT_LIBGIT)" "true"
-magit-libgit.elc:
-magit-git.elc:             magit-base.elc magit-libgit.elc
-else
 magit-git.elc:             magit-base.elc
-endif
 magit-mode.elc:            magit-base.elc magit-git.elc
 magit-margin.elc:          magit-base.elc magit-mode.elc
 magit-process.elc:         magit-base.elc magit-git.elc magit-mode.elc
+git-commit.elc:            magit-git.elc magit-mode.elc magit-process.elc
 magit-transient.elc:       magit-git.elc magit-mode.elc magit-process.elc
 magit-autorevert.elc:      magit-git.elc magit-process.elc
 magit-core.elc:            magit-base.elc magit-git.elc magit-mode.elc \
@@ -114,6 +109,7 @@
 clean:
 	@printf " Cleaning lisp/*...\n"
 	@$(RM) *.elc $(ELGS)
+	@$(RM) ../test/magit-tests.elc
 
 ## Templates #########################################################

=== test/Makefile ===
-include ../config.mk
include ../default.mk

test:
	@printf "Testing...\n"
	@$(BATCH) --eval "(progn\
	$$suppress_warnings\
	(load-file \"$(TOP)test/magit-tests.el\")\
	(ert-run-tests-batch-and-exit))"

test-interactive:
	@$(EMACS) -Q $(LOAD_PATH) --eval "(progn\
	(load-file \"$(TOP)test/magit-tests.el\")\
	(ert t))"

lisp: magit-tests.elc

%.elc: %.el
	@printf "Compiling $<\n"
	@$(BATCH) --eval "(progn\
	(when (file-exists-p \"$@\")\
	  (delete-file \"$@\"))\
	(setq with-editor-emacsclient-executable nil)\
	$$suppress_warnings)" \
	-f batch-byte-compile $<

=== debian/changelog ===
magit (4.3.1-2) unstable; urgency=medium

  * Team upload.

  [ Xiyue Deng ]
  * Update transient build-dep to require 0.8.5.

  [ Sean Whitton ]
  * Require Emacs 30.1 for newer seq.el (Closes: #1099800).
    Thanks to Sven Joachim for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 09 Mar 2025 11:52:18 +0800

magit (4.3.1-1) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Remove explicit build dependency on elpa-seq.

  [ Barak A. Pearlmutter ]
  * New upstream release
  * Bump standards-version to 4.7.2
  * Refresh patches for the new version

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 07 Mar 2025 22:42:43 -0800

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,14 @@
  debhelper-compat (= 13),
  dh-elpa (>= 2.1.2),
  elpa-compat (>= 30.0.2.0),
- elpa-llama (>= 0.6.0),
- elpa-seq (>= 2.24),
+ elpa-llama,
  elpa-with-editor (>= 3.4.3),
- elpa-transient (>= 0.8.4),
+ elpa-transient (>= 0.8.5),
  git,
  texinfo,
  texlive-base,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://magit.vc/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git
@@ -37,7 +36,7 @@
 Breaks:
  magit (<< 2.2.2-3),
  elpa-git-commit (<< 4.1.2-2~),
-Depends: ${misc:Depends}, git, ${elpa:Depends},
+Depends: ${misc:Depends}, git, ${elpa:Depends}, emacs (>= 1:30.1)
 Enhances: emacs, git
 Description: Emacs interface for Git
  With Magit, you can inspect and modify your Git repositories with

## magit 4.3.2

=== debian/changelog ===
magit (4.3.2-1) unstable; urgency=medium

  * New upstream release
  * Ignore extraneous diffs in doc/magit.texi in d/s/options
  * Refresh patches for the new release
  * Update section to editors
  * Loosen version requirements in Build-Depends
    - ${elpa:Depends} will generate the correct versioned dependencies for
      the binary packages, which will be enforced for autopkgtest.
  * Run 'wrap-and-sort -ast'

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 01 Apr 2025 21:52:26 -0700

## magit 4.3.3

=== debian/changelog ===
magit (4.3.3-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches for the new version

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 04 May 2025 03:40:21 -0700

## magit 4.3.5

=== docs/Makefile ===
--- 
+++ 
@@ -18,6 +18,9 @@
 ORG_EVAL += --eval "(progn $$ORG_MAN_EXPORT)"
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
+ORG_EVAL += --eval "\
+(defun org-texinfo--sanitize-content (text)\
+  (replace-regexp-in-string \"[@@{}]\" \"@@\\&\" text))"
 ORG_EVAL += --funcall org-texinfo-export-to-texinfo
 
 redo-docs:

=== debian/changelog ===
magit (4.3.5-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches for the new release

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 18 May 2025 16:54:54 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: magit
-Section: vcs
+Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
@@ -11,10 +11,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa (>= 2.1.2),
- elpa-compat (>= 30.0.2.0),
+ elpa-compat,
  elpa-llama,
- elpa-with-editor (>= 3.4.3),
- elpa-transient (>= 0.8.5),
+ elpa-transient,
+ elpa-with-editor,
  git,
  texinfo,
  texlive-base,
@@ -28,16 +28,22 @@
 Package: elpa-magit
 Architecture: all
 Provides:
+ elpa-git-commit,
  magit,
- elpa-git-commit
 Replaces:
+ elpa-git-commit (<< 4.1.2-2~),
  magit (<< 2.2.2-3),
- elpa-git-commit (<< 4.1.2-2~)
 Breaks:
+ elpa-git-commit (<< 4.1.2-2~),
  magit (<< 2.2.2-3),
- elpa-git-commit (<< 4.1.2-2~),
-Depends: ${misc:Depends}, git, ${elpa:Depends}, emacs (>= 1:30.1)
-Enhances: emacs, git
+Depends:
+ emacs (>= 1:30.1),
+ git,
+ ${elpa:Depends},
+ ${misc:Depends},
+Enhances:
+ emacs,
+ git,
 Description: Emacs interface for Git
  With Magit, you can inspect and modify your Git repositories with
  Emacs.  You can review and commit the changes you have made to the
@@ -49,18 +55,23 @@
 Architecture: all
 Section: oldlibs
 Depends:
+ elpa-magit (>= 4.1.2-2~),
+ ${elpa:Depends},
  ${misc:Depends},
- ${elpa:Depends},
- elpa-magit (>= 4.1.2-2~)
-Enhances: emacs, git
+Enhances:
+ emacs,
+ git,
 Description: Transitional package for git-commit
  A mode for editing COMMIT_MSG file from git in Emacs.  This has
  become part of elpa-magit since version 4.1.0.
 
 Package: elpa-magit-section
 Architecture: all
-Depends: ${misc:Depends}, ${elpa:Depends}
-Enhances: emacs
+Depends:
+ ${elpa:Depends},
+ ${misc:Depends},
+Enhances:
+ emacs,
 Description: Collapsible sections like in Magit
  This package implements the main user interface of Magit — the
  collapsible sections that make up its buffers.  This package used
